rte_port_sym_crypto_reader_params(3)

NAME
rte_port_sym_crypto_reader_params

SYNOPSIS

#include <rte_port_sym_crypto.h>

  Data Fields

uint8_t cryptodev_id
uint16_t queue_id
rte_port_sym_crypto_reader_callback_fn f_callback
void * arg_callback

Detailed Description

Crypto_reader port parameters

Definition at line 31 of file rte_port_sym_crypto.h.

Field Documentation

  uint8_t cryptodev_id
Target cryptodev ID.

Definition at line 33 of file rte_port_sym_crypto.h.

  uint16_t queue_id
Target cryptodev Queue Pair ID.

Definition at line 36 of file rte_port_sym_crypto.h.

  rte_port_sym_crypto_reader_callback_fn f_callback
Crypto reader post callback function.

Definition at line 39 of file rte_port_sym_crypto.h.

  void* arg_callback
Crypto reader post callback function arguments.

Definition at line 42 of file rte_port_sym_crypto.h.

Author

Generated automatically by Doxygen for DPDK from the source code.